Description: Don't print the stacktrace on segfaults.
 Fixes FTBFS on armel,powerpc,ia64,alpha,sh4.
Origin: Ubuntu, https://launchpad.net/bugs/647091
Bug-Ubuntu: https://launchpad.net/bugs/647091
---
 lashd/sigsegv.c |    5 +++++
 1 file changed, 5 insertions(+)

--- lash.orig/lashd/sigsegv.c
+++ lash/lashd/sigsegv.c
@@ -90,6 +90,10 @@ static void signal_segv(int signum, sigi
     lash_error("info.si_errno = %d", info->si_errno);
     lash_error("info.si_code  = %d (%s)", info->si_code, si_codes[info->si_code]);
     lash_error("info.si_addr  = %p", info->si_addr);
+
+#if defined(__arm__) || defined(__powerpc__) || defined (__ia64__) || defined (__alpha__) || defined (__FreeBSD_kernel__) || defined (__sh__)
+    lash_error("No stack trace");
+#else
     for(i = 0; i < NGREG; i++)
         lash_error("reg[%02d]       = 0x" REGFORMAT, i, ucontext->uc_mcontext.gregs[i]);
 
@@ -143,6 +147,7 @@ static void signal_segv(int signum, sigi
         lash_error("%s", strings[i]);
 #endif
     lash_error("End of stack trace");
+#endif
     exit (-1);
 }
 

